libnvme(2)

NAME
struct nvmf_connect_data - Data payload for the 'connect' command

SYNOPSIS
struct nvmf_connect_data {
__u8 hostid[16];
__le16 cntlid;
char rsvd4[238];
char subsysnqn[NVME_NQN_LENGTH];
char hostnqn[NVME_NQN_LENGTH];
char rsvd5[256];
};

Members

hostid
    Host ID of the connecting host

cntlid
    Requested controller ID

rsvd4
    Reserved

subsysnqn
    Subsystem NQN to connect to

hostnqn
    Host NQN of the connecting host

rsvd5
    Reserved